      DOUBLE PRECISION FUNCTION BERN(P)
C  This function generates a Bernoulli random variable.
C  Input:
C  P     Probability parameter
C  Output:
C  BERN  = 1 with probability p, 0 with probability 1-p
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      AA=0.0D0
      IF(DRNUNF().LT.P)AA=1.0D0
      BERN=AA
      RETURN
      END
C  This is a type logical version of the above, returning .TRUE. with
C  probability P.
      LOGICAL FUNCTION LBERN(P)
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      LBERN=DRNUNF().LT.P
      RETURN
      END
