      LOGICAL FUNCTION LORDER(N,A)
C  This function checks a string of numbers for nondescending order.
C  Inputs:
C  N       Number of elements to check
C  A       Array of elements
C  Output:
C  LORDER  .TRUE. if A(i).le.A(i+1),i=1,...,n-1
C          .FALSE. if A(i)>A(i+1) for some i
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DIMENSION A(N)
      DO 10 I=2,N
   10 IF(A(I).LT.A(I-1))GO TO 20
      LORDER=.TRUE.
      RETURN
   20 LORDER=.FALSE.
      RETURN
      END
