      DOUBLE PRECISION FUNCTION URTMIN(N,A)
C  This function returns the smallest modulus of the roots of a polynomial
C  of order N.
C  Inputs:
C  N       Order of polynomial
C  A       Coefficients of polynomial, beginning with order 0
C  Outputs:
C  URTMIN  Smallest modulus
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      COMPLEX*16 ROOT(100)
      CALL DZPORC(N,A,ROOT)
      RTMIN=CDABS(ROOT(1))
      IF(N.EQ.1)GO TO 20
      DO 10 I=2,N
      RT=CDABS(ROOT(I))
   10 IF(RT.LT.RTMIN)RTMIN=RT
   20 URTMIN=RTMIN
      RETURN
      END
