      SUBROUTINE DFULL(N,A,LDA)
C  This routine converts a symmetric matrix in IMSL symmetric storeage mode
C  (upper triangular) to one in full storeage mode.
C  Inputs:
C  N   Order of symmetric matrix
C  A   Matrix in symmetric storeage mode
C  LDA Leading dimension of A
C  Output:
C  A   Matrix in full storeage mode
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DIMENSION A(LDA,N)
      N1=N-1
      DO 10 I=1,N1
      DO 10 J=I+1,N
   10 A(J,I)=A(I,J)
      RETURN
      END
