      SUBROUTINE DMXXTU(N,A,LDA,B,LDB)
C  This routine computes B=AA', where A is upper triangular.
C  Only the upper triangle of B is returned (IMSL symmetric storeage mode)
C  Inputs:
C  N     Order of upper triangular matrix
C  A     Upper triangular matrix
C  LDA   Leading dimension of A
C  LDB   Leading dimension of B
C  Output
C  B     B=AA' (upper triangle only)
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DIMENSION A(LDA,N),B(LDB,N)
      DO 20 I=1,N
      DO 20 J=I,N
      AA=0.0D0
      DO 10 L=J,N
   10 AA=AA+A(I,L)*A(J,L)
   20 B(I,J)=AA
      RETURN
      END
