      SUBROUTINE INIT
C  This routine initializes various constants.
C  Collection in one place facilitates changing array sizes and
C  seed of random number generator.
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      COMMON/CONST/DLOG2,DLGPI,HLG2PI,PI,PII,GAUCON,REAL_CONSTANT_MAX
      CALL RNSET(0)
      PI=DCONST('PI')
      PII=1.0D0/PI
      DLOG2=DLOG(2.0D0)
      DLGPI=DLOG(PI)
      HLG2PI=0.5D0*(DLOG2+DLGPI)
      GAUCON=1.0D0/DSQRT(2.0D0*PI)
      REAL_CONSTANT_MAX=1.79D308
      RETURN
      END
