      DOUBLE PRECISION FUNCTION PNORDF(AMU,H,X)
C  This function evaluates the c.d.f. of a univariate normal.
C  Inputs:
C  AMU      Mean of normal distribution
C  H        Precision of normal distribution
C  X        Point of evaluation
C  Output:
C  PNORDF   Value of c.d.f.
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      Z=(X-AMU)*DSQRT(H)
      PNORDF=DNORDF(Z)
      RETURN
      END
