      SUBROUTINE UNVEC(M,N,B,A,LDA)
C  This routine unvectorizes a vector B into an M x N matrix A.
C  The vector B is assumed to have the columns of A stored successively.
C  This routine is the inverse of the routine VEC.
C  Inputs:
C  M      Row dimension of matrix
C  N      Column dimension of matrix
C  B      Vectorized matrix; vector is of length MN.
C  LDA    Leading dimension of A in calling program
C  Outputs:
C  A      Matrix that was vectorized in B.
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DIMENSION A(LDA,N),B(500)
      L=0
      DO 10 JN=1,N
      DO 10 IM=1,M
      L=L+1
   10 A(IM,JN)=B(L)
      RETURN
      END
