      SUBROUTINE UVADD(N,A,B,C)
C  This routine adds two vectors, C = A + B.
C  Inputs
C  N    Order of the vectors
C  A    A vector
C  B    B vector
C  Outputs:
C  C    C vector, C = A + B
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DIMENSION A(N),B(N),C(N)
      DO 10 I=1,N
   10 C(I)=A(I)+B(I)
      RETURN
      END
      SUBROUTINE UVSUB(N,A,B,C)
C  This routine subtracts one vector from another, C = A - B.
C  Inputs
C  N    Order of the vectors
C  A    A vector
C  B    B vector
C  Outputs:
C  C    C vector, C = A - B
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DIMENSION A(N),B(N),C(N)
      DO 10 I=1,N
   10 C(I)=A(I)-B(I)
      RETURN
      END
      SUBROUTINE UVSADD(N,A,S,B,C)
C  This routine adds a scalar times a vector and a vector, C = S*A + B.
C  Inputs
C  N    Order of the vectors
C  A    A vector
C  B    B vector
C  Outputs:
C  C    C vector, C = S*A + B
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DIMENSION A(N),B(N),C(N)
      DO 10 I=1,N
   10 C(I)=S*A(I)+B(I)
      RETURN
      END
